%global pypi_name oslo.messaging

Name:       python-oslo-messaging
Version:    2.5.0
Release:    6%{?dist}
Summary:    OpenStack common messaging library

License:    ASL 2.0
URL:        https://launchpad.net/oslo
Source0:    https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# patches_base=+1
Patch0001: 0001-rabbit-shuffle-hosts-before-building-kombu-URL.patch
Patch0002: 0002-rabbit-Add-option-to-configure-QoS-prefetch-count.patch
Patch0003: 0003-rabbit-improvements-to-QoS.patch
Patch0004: 0004-Use-round-robin-failover-strategy-for-Kombu-driver.patch
Patch0005: 0005-rabbit-set-interval-max-for-auto-retry.patch
Patch0006: 0006-Kombu-make-reply-and-fanout-queues-expire-instead-of.patch

BuildArch:  noarch
Requires:   python-setuptools
Requires:   python-iso8601
Requires:   python-futurist
Requires:   python-oslo-config >= 2:1.11.0
Requires:   python-oslo-context
Requires:   python-oslo-utils
Requires:   python-oslo-serialization
Requires:   python-oslo-service
Requires:   python-oslo-i18n
Requires:   python-oslo-log
Requires:   python-oslo-middleware
Requires:   python-six >= 1.9.0
Requires:   python-stevedore
Requires:   PyYAML
Requires:   python-kombu
Requires:   python-qpid
Requires:   python-babel
Requires:   python-eventlet
Requires:   python-cachetools
Requires:   python-webob

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr
BuildRequires: python-oslo-service
BuildRequires: python-cachetools
BuildRequires: python-futurist

%description
The Oslo project intends to produce a python library containing
infrastructure code shared by OpenStack projects. The APIs provided
by the project should be high quality, stable, consistent and generally
useful.

The Oslo messaging API supports RPC and notifications over a number of
different messaging transports.

%package doc
Summary:    Documentation for OpenStack common messaging library

BuildRequires: python-sphinx
BuildRequires: python-oslo-sphinx >= 2.5.0

# for API autodoc
BuildRequires: python-iso8601
BuildRequires: python-oslo-config
BuildRequires: python-oslo-utils
BuildRequires: python-oslo-context
BuildRequires: python-oslo-serialization
BuildRequires: python-oslo-i18n
BuildRequires: python-six
BuildRequires: python-stevedore
BuildRequires: PyYAML
BuildRequires: python-babel
BuildRequires: python-fixtures
BuildRequires: python-kombu

%description doc
Documentation for the oslo.messaging library.

%prep
%setup -q -n %{pypi_name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

# let RPM handle deps
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
pushd doc
sphinx-build -b html -d build/doctrees   source build/html
popd
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.buildinfo

%check

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/oslo_messaging
%{python2_sitelib}/*.egg-info
%{_bindir}/oslo-messaging-zmq-receiver

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Mon Apr 11 2016 John Eckersberg <jeckersb@redhat.com> 2.5.0-6
- Kombu: make reply and fanout queues expire instead of auto-delete (RHBZ#1310157)

* Thu Mar 17 2016 Victor Stinner <vstinner@redhat.com> 2.5.0-5
- rabbit: set interval max for auto retry - rhbz#1312912
- Use round robin failover strategy for Kombu driver - rhbz#1302391

* Mon Feb 22 2016 John Eckersberg <jeckersb@redhat.com> 2.5.0-4
- rabbit: improvements to QoS (RHBZ#1310807)

* Mon Feb 22 2016 John Eckersberg <jeckersb@redhat.com> 2.5.0-3
- rabbit: Add option to configure QoS prefetch count (RHBZ#1310807)

* Mon Feb 22 2016 John Eckersberg <jeckersb@redhat.com> 2.5.0-2
- rabbit: shuffle hosts before building kombu URL (RHBZ#1310799)

* Wed Sep 16 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 2.5.0-1
- Upstream 2.5.0
- Spec cleanups

* Mon Jun 29 2015 Alan Pevec <alan.pevec@redhat.com> 1.15.0-1
- Update to upstream 1.15.0

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 14 2015 Haikel Guemar <hguemar@fedoraproject.org> 1.8.3-1
- Update to upstream 1.8.3

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 1.8.2-1
- Update to upstream 1.8.2

* Wed Apr 08 2015 Alan Pevec <alan.pevec@redhat.com> 1.8.1-1
- Update to upstream 1.8.1

* Thu Jan 08 2015 Alan Pevec <apevec@redhat.com> - 1.4.1-3
- Fix reconnect exception handler (Dan Smith) rhbz#1175685

* Tue Dec 02 2014 Alan Pevec <apevec@redhat.com> - 1.4.1-2
- AMQP 1.0 driver fixes (Ken Giusti) LP#1392868 LP#1385445

* Sun Sep 21 2014 Alan Pevec <apevec@redhat.com> - 1.4.0.0-4
- Final release 1.4.0

* Wed Sep 17 2014 Alan Pevec <apevec@redhat.com> - 1.4.0.0-3.a5
- Latest upstream

* Wed Jul 09 2014 Pádraig Brady <pbrady@redhat.com> - 1.4.0.0-1
- Latest upstream

* Tue Jun 10 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0.2-4
- Fix message routing with newer QPID #1103800

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0.2-2
- Update python-six dependency to >= 1.6 to support Icehouse

* Thu Apr 24 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0.2-1
- Update to icehouse stable release
- Add dependency on newer python-eventlet

* Fri Apr 11 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0-0.2.a9
- Add dependencies on python-kombu, python-qpid, and PyYAML

* Tue Mar 18 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0-0.1.a9
- Latest upstream

* Tue Feb 11 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0-0.1.a7
- Update to 1.3.0a7.

* Thu Jan  2 2014 Pádraig Brady <pbrady@redhat.com> - 1.3.0-0.1.a2
- Update to 1.3.0a2.

* Tue Sep  3 2013 Mark McLoughlin <markmc@redhat.com> - 1.2.0-0.1.a11
- Update to a11 development snapshot.

* Mon Aug 12 2013 Mark McLoughlin <markmc@redhat.com> - 1.2.0-0.1.a2
- Initial package.
